<?php
session_start(); // Initialize session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg6.php" ?>
<?php include "ewmysql6.php" ?>
<?php include "phpfn6.php" ?>
<?php include "linea_productoinfo.php" ?>
<?php include "categoriainfo.php" ?>
<?php include "usuarioinfo.php" ?>
<?php include "userfn6.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Define page object
$linea_producto_list = new clinea_producto_list();
$Page =& $linea_producto_list;

// Page init processing
$linea_producto_list->Page_Init();

// Page main processing
$linea_producto_list->Page_Main();
?>
<?php include "header.php" ?>
<?php if ($linea_producto->Export == "") { ?>
<script type="text/javascript">
<!--

// Create page object
var linea_producto_list = new ew_Page("linea_producto_list");

// page properties
linea_producto_list.PageID = "list"; // page ID
var EW_PAGE_ID = linea_producto_list.PageID; // for backward compatibility

// extend page with Form_CustomValidate function
linea_producto_list.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
linea_producto_list.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
linea_producto_list.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script type="text/javascript">
<!--
var ew_DHTMLEditors = [];

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<?php } ?>
<?php if ($linea_producto->Export == "") { ?>
<?php
$gsMasterReturnUrl = "categorialist.php";
if ($linea_producto_list->sDbMasterFilter <> "" && $linea_producto->getCurrentMasterTable() == "categoria") {
	if ($linea_producto_list->bMasterRecordExists) {
		if ($linea_producto->getCurrentMasterTable() == $linea_producto->TableVar) $gsMasterReturnUrl .= "?" . EW_TABLE_SHOW_MASTER . "=";
?>
<?php include "categoriamaster.php" ?>
<?php
	}
}
?>
<?php } ?>
<?php
	$bSelectLimit = ($linea_producto->Export == "" && $linea_producto->SelectLimit);
	if (!$bSelectLimit)
		$rs = $linea_producto_list->LoadRecordset();
	$linea_producto_list->lTotalRecs = ($bSelectLimit) ? $linea_producto->SelectRecordCount() : $rs->RecordCount();
	$linea_producto_list->lStartRec = 1;
	if ($linea_producto_list->lDisplayRecs <= 0) // Display all records
		$linea_producto_list->lDisplayRecs = $linea_producto_list->lTotalRecs;
	if (!($linea_producto->ExportAll && $linea_producto->Export <> ""))
		$linea_producto_list->SetUpStartRec(); // Set up start record position
	if ($bSelectLimit)
		$rs = $linea_producto_list->LoadRecordset($linea_producto_list->lStartRec-1, $linea_producto_list->lDisplayRecs);
?>
<p><span class="phpmaker" style="white-space: nowrap;">TABLA: lineas
<?php if ($linea_producto->Export == "" && $linea_producto->CurrentAction == "") { ?>
&nbsp;&nbsp;<a href="<?php echo $linea_producto_list->PageUrl() ?>export=excel"><img src='images/exportxls.gif' width='16' height='16' border='0' alt='Exportar a Excel'></a>
&nbsp;&nbsp;<a href="<?php echo $linea_producto_list->PageUrl() ?>export=word"><img src='images/exportdoc.gif' width='16' height='16' border='0' alt='Exportar a Word'></a>
&nbsp;&nbsp;<a href="<?php echo $linea_producto_list->PageUrl() ?>export=csv"><img src='images/exportcsv.gif' width='16' height='16' border='0' alt='Exportar a CSV'></a>
<?php } ?>
</span></p>
<?php if ($Security->IsLoggedIn()) { ?>
<?php if ($linea_producto->Export == "" && $linea_producto->CurrentAction == "") { ?>
<a href="javascript:ew_ToggleSearchPanel(linea_producto_list);" style="text-decoration: none;"><img id="linea_producto_list_SearchImage" src="images/collapse.gif" alt="" width="9" height="9" border="0"></a><span class="phpmaker">&nbsp;Buscar</span><br>
<div id="linea_producto_list_SearchPanel">
<form name="flinea_productolistsrch" id="flinea_productolistsrch" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<input type="hidden" id="t" name="t" value="linea_producto">
<table class="ewBasicSearch">
	<tr>
		<td><span class="phpmaker">
			<input type="text" name="<?php echo EW_TABLE_BASIC_SEARCH ?>" id="<?php echo EW_TABLE_BASIC_SEARCH ?>" size="20" value="<?php echo ew_HtmlEncode($linea_producto->getBasicSearchKeyword()) ?>">
			<input type="Submit" name="Submit" id="Submit" value="Buscar (*)">&nbsp;
			<a href="<?php echo $linea_producto_list->PageUrl() ?>cmd=reset">Ver Todo</a>&nbsp;
		</span></td>
	</tr>
	<tr>
	<td><span class="phpmaker"><label><input type="radio" name="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" id="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" value=""<?php if ($linea_producto->getBasicSearchType() == "") { ?> checked="checked"<?php } ?>>Frase exacta</label>&nbsp;&nbsp;<label><input type="radio" name="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" id="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" value="AND"<?php if ($linea_producto->getBasicSearchType() == "AND") { ?> checked="checked"<?php } ?>>Todas las palabras</label>&nbsp;&nbsp;<label><input type="radio" name="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" id="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" value="OR"<?php if ($linea_producto->getBasicSearchType() == "OR") { ?> checked="checked"<?php } ?>>Cualquier palabra</label></span></td>
	</tr>
</table>
</form>
</div>
<?php } ?>
<?php } ?>
<?php $linea_producto_list->ShowMessage() ?>
<br>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<form name="flinea_productolist" id="flinea_productolist" class="ewForm" action="" method="post">
<?php if ($linea_producto_list->lTotalRecs > 0) { ?>
<table cellspacing="0" rowhighlightclass="ewTableHighlightRow" rowselectclass="ewTableSelectRow" roweditclass="ewTableEditRow" class="ewTable ewTableSeparate">
<?php
	$linea_producto_list->lOptionCnt = 0;
if ($Security->IsLoggedIn()) {
	$linea_producto_list->lOptionCnt++; // view
}
if ($Security->IsLoggedIn()) {
	$linea_producto_list->lOptionCnt++; // edit
}
if ($Security->IsLoggedIn()) {
	$linea_producto_list->lOptionCnt++; // copy
}
if ($Security->IsLoggedIn()) {
	$linea_producto_list->lOptionCnt++; // Delete
}
if ($Security->IsLoggedIn()) {
	$linea_producto_list->lOptionCnt++; // Detail
}
	$linea_producto_list->lOptionCnt += count($linea_producto_list->ListOptions->Items); // Custom list options
?>
<?php echo $linea_producto->TableCustomInnerHtml ?>
<thead><!-- Table header -->
	<tr class="ewTableHeader">
<?php if ($linea_producto->cod_linea_producto->Visible) { // cod_linea_producto ?>
	<?php if ($linea_producto->SortUrl($linea_producto->cod_linea_producto) == "") { ?>
		<td>cod linea</td>
	<?php } else { ?>
		<td class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $linea_producto->SortUrl($linea_producto->cod_linea_producto) ?>',1);">
			<table cellspacing="0" class="ewTableHeaderBtn"><tr><td>cod linea&nbsp;(*)</td><td style="width: 10px;"><?php if ($linea_producto->cod_linea_producto->getSort() == "ASC") { ?><img src="images/sortup.gif" width="10" height="9" border="0"><?php } elseif ($linea_producto->cod_linea_producto->getSort() == "DESC") { ?><img src="images/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></table>
		</td>
	<?php } ?>
<?php } ?>		
<?php if ($linea_producto->des_linea_producto->Visible) { // des_linea_producto ?>
	<?php if ($linea_producto->SortUrl($linea_producto->des_linea_producto) == "") { ?>
		<td>descripción</td>
	<?php } else { ?>
		<td class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $linea_producto->SortUrl($linea_producto->des_linea_producto) ?>',1);">
			<table cellspacing="0" class="ewTableHeaderBtn"><tr><td>descripción&nbsp;(*)</td><td style="width: 10px;"><?php if ($linea_producto->des_linea_producto->getSort() == "ASC") { ?><img src="images/sortup.gif" width="10" height="9" border="0"><?php } elseif ($linea_producto->des_linea_producto->getSort() == "DESC") { ?><img src="images/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></table>
		</td>
	<?php } ?>
<?php } ?>		
<?php if ($linea_producto->ind_activo->Visible) { // ind_activo ?>
	<?php if ($linea_producto->SortUrl($linea_producto->ind_activo) == "") { ?>
		<td>activo</td>
	<?php } else { ?>
		<td class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $linea_producto->SortUrl($linea_producto->ind_activo) ?>',1);">
			<table cellspacing="0" class="ewTableHeaderBtn"><tr><td>activo&nbsp;(*)</td><td style="width: 10px;"><?php if ($linea_producto->ind_activo->getSort() == "ASC") { ?><img src="images/sortup.gif" width="10" height="9" border="0"><?php } elseif ($linea_producto->ind_activo->getSort() == "DESC") { ?><img src="images/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></table>
		</td>
	<?php } ?>
<?php } ?>		
<?php if ($linea_producto->ind_cat->Visible) { // ind_cat ?>
	<?php if ($linea_producto->SortUrl($linea_producto->ind_cat) == "") { ?>
		<td>cat</td>
	<?php } else { ?>
		<td class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $linea_producto->SortUrl($linea_producto->ind_cat) ?>',1);">
			<table cellspacing="0" class="ewTableHeaderBtn"><tr><td>cat</td><td style="width: 10px;"><?php if ($linea_producto->ind_cat->getSort() == "ASC") { ?><img src="images/sortup.gif" width="10" height="9" border="0"><?php } elseif ($linea_producto->ind_cat->getSort() == "DESC") { ?><img src="images/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></table>
		</td>
	<?php } ?>
<?php } ?>		
<?php if ($linea_producto->orden->Visible) { // orden ?>
	<?php if ($linea_producto->SortUrl($linea_producto->orden) == "") { ?>
		<td>orden</td>
	<?php } else { ?>
		<td class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $linea_producto->SortUrl($linea_producto->orden) ?>',1);">
			<table cellspacing="0" class="ewTableHeaderBtn"><tr><td>orden</td><td style="width: 10px;"><?php if ($linea_producto->orden->getSort() == "ASC") { ?><img src="images/sortup.gif" width="10" height="9" border="0"><?php } elseif ($linea_producto->orden->getSort() == "DESC") { ?><img src="images/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></table>
		</td>
	<?php } ?>
<?php } ?>		
<?php if ($linea_producto->Export == "") { ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;">&nbsp;</td>
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;">&nbsp;</td>
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;">&nbsp;</td>
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;">&nbsp;</td>
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;">&nbsp;</td>
<?php } ?>
<?php

// Custom list options
foreach ($linea_producto_list->ListOptions->Items as $ListOption) {
	if ($ListOption->Visible)
		echo $ListOption->HeaderCellHtml;
}
?>
<?php } ?>
	</tr>
</thead>
<?php
if ($linea_producto->ExportAll && $linea_producto->Export <> "") {
	$linea_producto_list->lStopRec = $linea_producto_list->lTotalRecs;
} else {
	$linea_producto_list->lStopRec = $linea_producto_list->lStartRec + $linea_producto_list->lDisplayRecs - 1; // Set the last record to display
}
$linea_producto_list->lRecCount = $linea_producto_list->lStartRec - 1;
if ($rs && !$rs->EOF) {
	$rs->MoveFirst();
	if (!$linea_producto->SelectLimit && $linea_producto_list->lStartRec > 1)
		$rs->Move($linea_producto_list->lStartRec - 1);
}
$linea_producto_list->lRowCnt = 0;
while (($linea_producto->CurrentAction == "gridadd" || !$rs->EOF) &&
	$linea_producto_list->lRecCount < $linea_producto_list->lStopRec) {
	$linea_producto_list->lRecCount++;
	if (intval($linea_producto_list->lRecCount) >= intval($linea_producto_list->lStartRec)) {
		$linea_producto_list->lRowCnt++;

	// Init row class and style
	$linea_producto->CssClass = "";
	$linea_producto->CssStyle = "";
	$linea_producto->RowClientEvents = "onmouseover='ew_MouseOver(event, this);' onmouseout='ew_MouseOut(event, this);' onclick='ew_Click(event, this);'";
	if ($linea_producto->CurrentAction == "gridadd") {
		$linea_producto_list->LoadDefaultValues(); // Load default values
	} else {
		$linea_producto_list->LoadRowValues($rs); // Load row values
	}
	$linea_producto->RowType = EW_ROWTYPE_VIEW; // Render view

	// Render row
	$linea_producto_list->RenderRow();
?>
	<tr<?php echo $linea_producto->RowAttributes() ?>>
	<?php if ($linea_producto->cod_linea_producto->Visible) { // cod_linea_producto ?>
		<td<?php echo $linea_producto->cod_linea_producto->CellAttributes() ?>>
<div<?php echo $linea_producto->cod_linea_producto->ViewAttributes() ?>><?php echo $linea_producto->cod_linea_producto->ListViewValue() ?></div>
</td>
	<?php } ?>
	<?php if ($linea_producto->des_linea_producto->Visible) { // des_linea_producto ?>
		<td<?php echo $linea_producto->des_linea_producto->CellAttributes() ?>>
<div<?php echo $linea_producto->des_linea_producto->ViewAttributes() ?>><?php echo $linea_producto->des_linea_producto->ListViewValue() ?></div>
</td>
	<?php } ?>
	<?php if ($linea_producto->ind_activo->Visible) { // ind_activo ?>
		<td<?php echo $linea_producto->ind_activo->CellAttributes() ?>>
<div<?php echo $linea_producto->ind_activo->ViewAttributes() ?>><?php echo $linea_producto->ind_activo->ListViewValue() ?></div>
</td>
	<?php } ?>
	<?php if ($linea_producto->ind_cat->Visible) { // ind_cat ?>
		<td<?php echo $linea_producto->ind_cat->CellAttributes() ?>>
<div<?php echo $linea_producto->ind_cat->ViewAttributes() ?>><?php echo $linea_producto->ind_cat->ListViewValue() ?></div>
</td>
	<?php } ?>
	<?php if ($linea_producto->orden->Visible) { // orden ?>
		<td<?php echo $linea_producto->orden->CellAttributes() ?>>
<div<?php echo $linea_producto->orden->ViewAttributes() ?>><?php echo $linea_producto->orden->ListViewValue() ?></div>
</td>
	<?php } ?>
<?php if ($linea_producto->Export == "") { ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;"><span class="phpmaker">
<a href="<?php echo $linea_producto->ViewUrl() ?>"><img src='images/browse.gif' width='16' height='16' border='0' alt='Ver'></a>
</span></td>
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;"><span class="phpmaker">
<a href="<?php echo $linea_producto->EditUrl() ?>"><img src='images/edit.gif' width='16' height='16' border='0' alt='Editar'></a>
</span></td>
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;"><span class="phpmaker">
<a href="<?php echo $linea_producto->CopyUrl() ?>"><img src='images/copy.gif' width='16' height='16' border='0' alt='Copiar'></a>
</span></td>
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;"><span class="phpmaker">
<a href="<?php echo $linea_producto->DeleteUrl() ?>"><img src='images/delete.gif' width='16' height='16' border='0' alt='Borrar'></a>
</span></td>
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;"><span class="phpmaker">
<a href="productolist.php?<?php echo EW_TABLE_SHOW_MASTER ?>=linea_producto&cod_linea_producto=<?php echo urlencode(strval($linea_producto->cod_linea_producto->CurrentValue)) ?>">productos<img src='images/detail.gif' width='16' height='16' border='0' alt='Detalles'></a>
</span></td>
<?php } ?>
<?php

// Custom list options
foreach ($linea_producto_list->ListOptions->Items as $ListOption) {
	if ($ListOption->Visible)
		echo $ListOption->BodyCellHtml;
}
?>
<?php } ?>
	</tr>
<?php
	}
	if ($linea_producto->CurrentAction <> "gridadd")
		$rs->MoveNext();
}
?>
</tbody>
</table>
<?php } ?>
</form>
<?php

// Close recordset
if ($rs)
	$rs->Close();
?>
</div>
<?php if ($linea_producto->Export == "") { ?>
<div class="ewGridLowerPanel">
<?php if ($linea_producto->CurrentAction <> "gridadd" && $linea_producto->CurrentAction <> "gridedit") { ?>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($linea_producto_list->Pager)) $linea_producto_list->Pager = new cPrevNextPager($linea_producto_list->lStartRec, $linea_producto_list->lDisplayRecs, $linea_producto_list->lTotalRecs) ?>
<?php if ($linea_producto_list->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker">Página&nbsp;</span></td>
<!--first page button-->
	<?php if ($linea_producto_list->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $linea_producto_list->PageUrl() ?>start=<?php echo $linea_producto_list->Pager->FirstButton->Start ?>"><img src="images/first.gif" alt="Primera" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="images/firstdisab.gif" alt="Primera" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($linea_producto_list->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $linea_producto_list->PageUrl() ?>start=<?php echo $linea_producto_list->Pager->PrevButton->Start ?>"><img src="images/prev.gif" alt="Previo" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="images/prevdisab.gif" alt="Previo" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $linea_producto_list->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($linea_producto_list->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $linea_producto_list->PageUrl() ?>start=<?php echo $linea_producto_list->Pager->NextButton->Start ?>"><img src="images/next.gif" alt="Siguiente" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="images/nextdisab.gif" alt="Siguiente" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($linea_producto_list->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $linea_producto_list->PageUrl() ?>start=<?php echo $linea_producto_list->Pager->LastButton->Start ?>"><img src="images/last.gif" alt="Ultima" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="images/lastdisab.gif" alt="Ultima" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;de <?php echo $linea_producto_list->Pager->PageCount ?></span></td>
	</tr></table>
	</td>	
	<td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
	<td>
	<span class="phpmaker">Registros <?php echo $linea_producto_list->Pager->FromIndex ?> a <?php echo $linea_producto_list->Pager->ToIndex ?> de <?php echo $linea_producto_list->Pager->RecordCount ?></span>
<?php } else { ?>
	<?php if ($linea_producto_list->sSrchWhere == "0=101") { ?>
	<span class="phpmaker">Ingresar criterio de búsqueda</span>
	<?php } else { ?>
	<span class="phpmaker">No se encontraron registros</span>
	<?php } ?>
<?php } ?>
		</td>
<?php if ($linea_producto_list->lTotalRecs > 0) { ?>
		<td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
		<td><table border="0" cellspacing="0" cellpadding="0"><tr><td>Tamaño&nbsp;</td><td>
<input type="hidden" id="t" name="t" value="linea_producto">
<select name="<?php echo EW_TABLE_REC_PER_PAGE ?>" id="<?php echo EW_TABLE_REC_PER_PAGE ?>" onchange="this.form.submit();" class="phpmaker">
<option value="20"<?php if ($linea_producto_list->lDisplayRecs == 20) { ?> selected="selected"<?php } ?>>20</option>
<option value="50"<?php if ($linea_producto_list->lDisplayRecs == 50) { ?> selected="selected"<?php } ?>>50</option>
<option value="ALL"<?php if ($linea_producto->getRecordsPerPage() == -1) { ?> selected="selected"<?php } ?>>Todos</option>
</select></td></tr></table>
		</td>
<?php } ?>
	</tr>
</table>
</form>
<?php } ?>
<?php //if ($linea_producto_list->lTotalRecs > 0) { ?>
<span class="phpmaker">
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $linea_producto->AddUrl() ?>">Agregar</a>&nbsp;&nbsp;
<?php } ?>
</span>
<?php //} ?>
</div>
<?php } ?>
</td></tr></table>
<?php if ($linea_producto->Export == "" && $linea_producto->CurrentAction == "") { ?>
<script type="text/javascript">
<!--

//ew_ToggleSearchPanel(linea_producto_list); // uncomment to init search panel as collapsed
//-->

</script>
<?php } ?>
<?php if ($linea_producto->Export == "") { ?>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php } ?>
<?php include "footer.php" ?>
<?php

//
// Page Class
//
class clinea_producto_list {

	// Page ID
	var $PageID = 'list';

	// Table Name
	var $TableName = 'linea_producto';

	// Page Object Name
	var $PageObjName = 'linea_producto_list';

	// Page Name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page Url
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $linea_producto;
		if ($linea_producto->UseTokenInUrl) $PageUrl .= "t=" . $linea_producto->TableVar . "&"; // add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show Message
	function ShowMessage() {
		if ($this->getMessage() <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $this->getMessage() . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate Page request
	function IsPageRequest() {
		global $objForm, $linea_producto;
		if ($linea_producto->UseTokenInUrl) {

			//IsPageRequest = False
			if ($objForm)
				return ($linea_producto->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($linea_producto->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	//  Class initialize
	//  - init objects
	//  - open connection
	//
	function clinea_producto_list() {
		global $conn;

		// Initialize table object
		$GLOBALS["linea_producto"] = new clinea_producto();

		// Initialize other table object
		$GLOBALS['categoria'] = new ccategoria();

		// Initialize other table object
		$GLOBALS['usuario'] = new cusuario();

		// Intialize page id (for backward compatibility)
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'list', TRUE);

		// Initialize table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'linea_producto', TRUE);

		// Open connection to the database
		$conn = ew_Connect();

		// Initialize list options
		$this->ListOptions = new cListOptions();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $linea_producto;
		global $Security;
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}
	$linea_producto->Export = @$_GET["export"]; // Get export parameter
	$gsExport = $linea_producto->Export; // Get export parameter, used in header
	$gsExportFile = $linea_producto->TableVar; // Get export file, used in header
	if ($linea_producto->Export == "excel") {
		header('Content-Type: application/vnd.ms-excel');
		header('Content-Disposition: attachment; filename=' . $gsExportFile .'.xls');
	}
	if ($linea_producto->Export == "word") {
		header('Content-Type: application/vnd.ms-word');
		header('Content-Disposition: attachment; filename=' . $gsExportFile .'.doc');
	}
	if ($linea_producto->Export == "csv") {
		header('Content-Type: application/csv');
		header('Content-Disposition: attachment; filename=' . $gsExportFile .'.csv');
	}

		// Global page loading event (in userfn6.php)
		Page_Loading();

		// Page load event, used in current page
		$this->Page_Load();
	}

	//
	//  Page_Terminate
	//  - called when exit page
	//  - if URL specified, redirect to the URL
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page unload event, used in current page
		$this->Page_Unload();

		// Global page unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close Connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			ob_end_clean();
			header("Location: $url");
		}
		exit();
	}
	var $lDisplayRecs; // Number of display records
	var $lStartRec;
	var $lStopRec;
	var $lTotalRecs;
	var $lRecRange;
	var $sSrchWhere;
	var $lRecCnt;
	var $lEditRowCnt;
	var $lRowCnt;
	var $lRowIndex;
	var $lOptionCnt;
	var $lRecPerRow;
	var $lColCnt;
	var $sDeleteConfirmMsg; // Delete confirm message
	var $sDbMasterFilter;
	var $sDbDetailFilter;
	var $bMasterRecordExists;	
	var $ListOptions;
	var $sMultiSelectKey;

	//
	// Page main processing
	//
	function Page_Main() {
		global $objForm, $gsSearchError, $Security, $linea_producto;
		$this->lDisplayRecs = 50;
		$this->lRecRange = 10;
		$this->lRecCnt = 0; // Record count

		// Search filters
		$sSrchAdvanced = ""; // Advanced search filter
		$sSrchBasic = ""; // Basic search filter
		$sFilter = "";
		$this->sSrchWhere = ""; // Search WHERE clause

		// Master/Detail
		$this->sDbMasterFilter = ""; // Master filter
		$this->sDbDetailFilter = ""; // Detail filter
		if ($this->IsPageRequest()) { // Validate request

			// Set up records per page dynamically
			$this->SetUpDisplayRecs();

			// Handle reset command
			$this->ResetCmd();

			// Set up master detail parameters
			$this->SetUpMasterDetail();

			// Get basic search criteria
			if ($gsSearchError == "")
				$sSrchBasic = $this->BasicSearchWhere();

			// Set Up Sorting Order
			$this->SetUpSortOrder();
		} // End Validate Request

		// Restore display records
		if ($linea_producto->getRecordsPerPage() <> "") {
			$this->lDisplayRecs = $linea_producto->getRecordsPerPage(); // Restore from Session
		} else {
			$this->lDisplayRecs = 50; // Load default
		}

		// Load Sorting Order
		$this->LoadSortOrder();

		// Build search criteria
		if ($sSrchAdvanced <> "")
			$this->sSrchWhere = ($this->sSrchWhere <> "") ? "($this->sSrchWhere) AND ($sSrchAdvanced)" : $sSrchAdvanced;
		if ($sSrchBasic <> "")
			$this->sSrchWhere = ($this->sSrchWhere <> "") ? "($this->sSrchWhere) AND ($sSrchBasic)" : $sSrchBasic;

		// Call Recordset_Searching event
		$linea_producto->Recordset_Searching($this->sSrchWhere);

		// Save search criteria
		if ($this->sSrchWhere <> "") {
			if ($sSrchBasic == "")
				$this->ResetBasicSearchParms();
			$linea_producto->setSearchWhere($this->sSrchWhere); // Save to Session
			$this->lStartRec = 1; // Reset start record counter
			$linea_producto->setStartRecordNumber($this->lStartRec);
		} else {
			$this->RestoreSearchParms();
		}

		// Build filter
		$sFilter = "";

		// Restore master/detail filter
		$this->sDbMasterFilter = $linea_producto->getMasterFilter(); // Restore master filter
		$this->sDbDetailFilter = $linea_producto->getDetailFilter(); // Restore detail filter
		if ($this->sDbDetailFilter <> "")
			$sFilter = ($sFilter <> "") ? "($sFilter) AND (" . $this->sDbDetailFilter . ")" : $this->sDbDetailFilter;
		if ($this->sSrchWhere <> "")
			$sFilter = ($sFilter <> "") ? "($sFilter) AND (". $this->sSrchWhere . ")" : $this->sSrchWhere;

		// Load master record
		if ($linea_producto->getMasterFilter() <> "" && $linea_producto->getCurrentMasterTable() == "categoria") {
			global $categoria;
			$rsmaster = $categoria->LoadRs($this->sDbMasterFilter);
			$this->bMasterRecordExists = ($rsmaster && !$rsmaster->EOF);
			if (!$this->bMasterRecordExists) {
				$linea_producto->setMasterFilter(""); // Clear master filter
				$linea_producto->setDetailFilter(""); // Clear detail filter
				$this->setMessage("No se encontraron registros"); // Set no record found
				$this->Page_Terminate($linea_producto->getReturnUrl()); // Return to caller
			} else {
				$categoria->LoadListRowValues($rsmaster);
				$categoria->RowType = EW_ROWTYPE_MASTER; // Master row
				$categoria->RenderListRow();
				$rsmaster->Close();
			}
		}

		// Set up filter in Session
		$linea_producto->setSessionWhere($sFilter);
		$linea_producto->CurrentFilter = "";

		// Export data only
		if (in_array($linea_producto->Export, array("html","word","excel","xml","csv"))) {
			$this->ExportData();
			$this->Page_Terminate(); // Terminate response
			exit();
		}
	}

	// Set up number of records displayed per page
	function SetUpDisplayRecs() {
		global $linea_producto;
		$sWrk = @$_GET[EW_TABLE_REC_PER_PAGE];
		if ($sWrk <> "") {
			if (is_numeric($sWrk)) {
				$this->lDisplayRecs = intval($sWrk);
			} else {
				if (strtolower($sWrk) == "all") { // Display all records
					$this->lDisplayRecs = -1;
				} else {
					$this->lDisplayRecs = 50; // Non-numeric, load default
				}
			}
			$linea_producto->setRecordsPerPage($this->lDisplayRecs); // Save to Session

			// Reset start position
			$this->lStartRec = 1;
			$linea_producto->setStartRecordNumber($this->lStartRec);
		}
	}

	// Return Basic Search sql
	function BasicSearchSQL($Keyword) {
		global $linea_producto;
		$sKeyword = ew_AdjustSql($Keyword);
		$sql = "";
		$sql .= $linea_producto->cod_linea_producto->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		$sql .= $linea_producto->cod_categoria->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		$sql .= $linea_producto->des_linea_producto->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		$sql .= $linea_producto->des_abreviada->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		$sql .= $linea_producto->ind_activo->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		if (substr($sql, -4) == " OR ") $sql = substr($sql, 0, strlen($sql)-4);
		return $sql;
	}

	// Return Basic Search Where based on search keyword and type
	function BasicSearchWhere() {
		global $Security, $linea_producto;
		$sSearchStr = "";
		$sSearchKeyword = ew_StripSlashes(@$_GET[EW_TABLE_BASIC_SEARCH]);
		$sSearchType = @$_GET[EW_TABLE_BASIC_SEARCH_TYPE];
		if ($sSearchKeyword <> "") {
			$sSearch = trim($sSearchKeyword);
			if ($sSearchType <> "") {
				while (strpos($sSearch, "  ") !== FALSE)
					$sSearch = str_replace("  ", " ", $sSearch);
				$arKeyword = explode(" ", trim($sSearch));
				foreach ($arKeyword as $sKeyword) {
					if ($sSearchStr <> "") $sSearchStr .= " " . $sSearchType . " ";
					$sSearchStr .= "(" . $this->BasicSearchSQL($sKeyword) . ")";
				}
			} else {
				$sSearchStr = $this->BasicSearchSQL($sSearch);
			}
		}
		if ($sSearchKeyword <> "") {
			$linea_producto->setBasicSearchKeyword($sSearchKeyword);
			$linea_producto->setBasicSearchType($sSearchType);
		}
		return $sSearchStr;
	}

	// Clear all search parameters
	function ResetSearchParms() {

		// Clear search where
		global $linea_producto;
		$this->sSrchWhere = "";
		$linea_producto->setSearchWhere($this->sSrchWhere);

		// Clear basic search parameters
		$this->ResetBasicSearchParms();
	}

	// Clear all basic search parameters
	function ResetBasicSearchParms() {

		// Clear basic search parameters
		global $linea_producto;
		$linea_producto->setBasicSearchKeyword("");
		$linea_producto->setBasicSearchType("");
	}

	// Restore all search parameters
	function RestoreSearchParms() {
		global $gsSearchError, $linea_producto;
		$this->sSrchWhere = $linea_producto->getSearchWhere();
	}

	// Set up Sort parameters based on Sort Links clicked
	function SetUpSortOrder() {
		global $linea_producto;

		// Check for an Order parameter
		if (@$_GET["order"] <> "") {
			$linea_producto->CurrentOrder = ew_StripSlashes(@$_GET["order"]);
			$linea_producto->CurrentOrderType = @$_GET["ordertype"];
			$linea_producto->UpdateSort($linea_producto->cod_linea_producto); // Field 
			$linea_producto->UpdateSort($linea_producto->des_linea_producto); // Field 
			$linea_producto->UpdateSort($linea_producto->ind_activo); // Field 
			$linea_producto->UpdateSort($linea_producto->ind_cat); // Field 
			$linea_producto->UpdateSort($linea_producto->orden); // Field 
			$linea_producto->setStartRecordNumber(1); // Reset start position
		}
	}

	// Load Sort Order parameters
	function LoadSortOrder() {
		global $linea_producto;
		$sOrderBy = $linea_producto->getSessionOrderBy(); // Get order by from Session
		if ($sOrderBy == "") {
			if ($linea_producto->SqlOrderBy() <> "") {
				$sOrderBy = $linea_producto->SqlOrderBy();
				$linea_producto->setSessionOrderBy($sOrderBy);
			}
		}
	}

	// Reset command based on querystring parameter cmd=
	// - RESET: reset search parameters
	// - RESETALL: reset search & master/detail parameters
	// - RESETSORT: reset sort parameters
	function ResetCmd() {
		global $linea_producto;

		// Get reset cmd
		if (@$_GET["cmd"] <> "") {
			$sCmd = $_GET["cmd"];

			// Reset search criteria
			if (strtolower($sCmd) == "reset" || strtolower($sCmd) == "resetall")
				$this->ResetSearchParms();

			// Reset master/detail keys
			if (strtolower($sCmd) == "resetall") {
				$linea_producto->getCurrentMasterTable = ""; // Clear master table
				$linea_producto->setMasterFilter(""); // Clear master filter
				$this->sDbMasterFilter = "";
				$linea_producto->setDetailFilter(""); // Clear detail filter
				$this->sDbDetailFilter = "";
				$linea_producto->cod_categoria->setSessionValue("");
			}

			// Reset sort criteria
			if (strtolower($sCmd) == "resetsort") {
				$sOrderBy = "";
				$linea_producto->setSessionOrderBy($sOrderBy);
				$linea_producto->cod_linea_producto->setSort("");
				$linea_producto->des_linea_producto->setSort("");
				$linea_producto->ind_activo->setSort("");
				$linea_producto->ind_cat->setSort("");
				$linea_producto->orden->setSort("");
			}

			// Reset start position
			$this->lStartRec = 1;
			$linea_producto->setStartRecordNumber($this->lStartRec);
		}
	}

	// Set up Starting Record parameters based on Pager Navigation
	function SetUpStartRec() {
		global $linea_producto;
		if ($this->lDisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request			
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->lStartRec = $_GET[EW_TABLE_START_REC];
				$linea_producto->setStartRecordNumber($this->lStartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$this->nPageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($this->nPageNo)) {
					$this->lStartRec = ($this->nPageNo-1)*$this->lDisplayRecs+1;
					if ($this->lStartRec <= 0) {
						$this->lStartRec = 1;
					} elseif ($this->lStartRec >= intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1) {
						$this->lStartRec = intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1;
					}
					$linea_producto->setStartRecordNumber($this->lStartRec);
				}
			}
		}
		$this->lStartRec = $linea_producto->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->lStartRec) || $this->lStartRec == "") { // Avoid invalid start record counter
			$this->lStartRec = 1; // Reset start record counter
			$linea_producto->setStartRecordNumber($this->lStartRec);
		} elseif (intval($this->lStartRec) > intval($this->lTotalRecs)) { // Avoid starting record > total records
			$this->lStartRec = intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1; // Point to last page first record
			$linea_producto->setStartRecordNumber($this->lStartRec);
		} elseif (($this->lStartRec-1) % $this->lDisplayRecs <> 0) {
			$this->lStartRec = intval(($this->lStartRec-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1; // Point to page boundary
			$linea_producto->setStartRecordNumber($this->lStartRec);
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {
		global $conn, $linea_producto;

		// Call Recordset Selecting event
		$linea_producto->Recordset_Selecting($linea_producto->CurrentFilter);

		// Load list page SQL
		$sSql = $linea_producto->SelectSQL();
		if ($offset > -1 && $rowcnt > -1) $sSql .= " LIMIT $offset, $rowcnt";

		// Load recordset
		$conn->raiseErrorFn = 'ew_ErrorFn';	
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';

		// Call Recordset Selected event
		$linea_producto->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $linea_producto;
		$sFilter = $linea_producto->KeyFilter();

		// Call Row Selecting event
		$linea_producto->Row_Selecting($sFilter);

		// Load sql based on filter
		$linea_producto->CurrentFilter = $sFilter;
		$sSql = $linea_producto->SQL();
		if ($rs = $conn->Execute($sSql)) {
			if ($rs->EOF) {
				$LoadRow = FALSE;
			} else {
				$LoadRow = TRUE;
				$rs->MoveFirst();
				$this->LoadRowValues($rs); // Load row values

				// Call Row Selected event
				$linea_producto->Row_Selected($rs);
			}
			$rs->Close();
		} else {
			$LoadRow = FALSE;
		}
		return $LoadRow;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $linea_producto;
		$linea_producto->cod_linea_producto->setDbValue($rs->fields('cod_linea_producto'));
		$linea_producto->cod_categoria->setDbValue($rs->fields('cod_categoria'));
		$linea_producto->des_linea_producto->setDbValue($rs->fields('des_linea_producto'));
		$linea_producto->des_abreviada->setDbValue($rs->fields('des_abreviada'));
		$linea_producto->ind_activo->setDbValue($rs->fields('ind_activo'));
		$linea_producto->ind_cat->setDbValue($rs->fields('ind_cat'));
		$linea_producto->orden->setDbValue($rs->fields('orden'));
		$linea_producto->cod_usuario_registro->setDbValue($rs->fields('cod_usuario_registro'));
		$linea_producto->fec_registro->setDbValue($rs->fields('fec_registro'));
		$linea_producto->cod_usuario_modificacion->setDbValue($rs->fields('cod_usuario_modificacion'));
		$linea_producto->fec_ultima_modificacion->setDbValue($rs->fields('fec_ultima_modificacion'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $linea_producto;

		// Call Row_Rendering event
		$linea_producto->Row_Rendering();

		// Common render codes for all row types
		// cod_linea_producto

		$linea_producto->cod_linea_producto->CellCssStyle = "";
		$linea_producto->cod_linea_producto->CellCssClass = "";

		// des_linea_producto
		$linea_producto->des_linea_producto->CellCssStyle = "";
		$linea_producto->des_linea_producto->CellCssClass = "";

		// ind_activo
		$linea_producto->ind_activo->CellCssStyle = "";
		$linea_producto->ind_activo->CellCssClass = "";

		// ind_cat
		$linea_producto->ind_cat->CellCssStyle = "";
		$linea_producto->ind_cat->CellCssClass = "";

		// orden
		$linea_producto->orden->CellCssStyle = "";
		$linea_producto->orden->CellCssClass = "";
		if ($linea_producto->RowType == EW_ROWTYPE_VIEW) { // View row

			// cod_linea_producto
			$linea_producto->cod_linea_producto->ViewValue = $linea_producto->cod_linea_producto->CurrentValue;
			$linea_producto->cod_linea_producto->CssStyle = "";
			$linea_producto->cod_linea_producto->CssClass = "";
			$linea_producto->cod_linea_producto->ViewCustomAttributes = "";

			// cod_categoria
			$linea_producto->cod_categoria->ViewValue = $linea_producto->cod_categoria->CurrentValue;
			$linea_producto->cod_categoria->CssStyle = "";
			$linea_producto->cod_categoria->CssClass = "";
			$linea_producto->cod_categoria->ViewCustomAttributes = "";

			// des_linea_producto
			$linea_producto->des_linea_producto->ViewValue = $linea_producto->des_linea_producto->CurrentValue;
			$linea_producto->des_linea_producto->CssStyle = "";
			$linea_producto->des_linea_producto->CssClass = "";
			$linea_producto->des_linea_producto->ViewCustomAttributes = "";

			// des_abreviada
			$linea_producto->des_abreviada->ViewValue = $linea_producto->des_abreviada->CurrentValue;
			$linea_producto->des_abreviada->CssStyle = "";
			$linea_producto->des_abreviada->CssClass = "";
			$linea_producto->des_abreviada->ViewCustomAttributes = "";

			// ind_activo
			$linea_producto->ind_activo->ViewValue = $linea_producto->ind_activo->CurrentValue;
			$linea_producto->ind_activo->CssStyle = "";
			$linea_producto->ind_activo->CssClass = "";
			$linea_producto->ind_activo->ViewCustomAttributes = "";

			// ind_cat
			$linea_producto->ind_cat->ViewValue = $linea_producto->ind_cat->CurrentValue;
			$linea_producto->ind_cat->CssStyle = "";
			$linea_producto->ind_cat->CssClass = "";
			$linea_producto->ind_cat->ViewCustomAttributes = "";

			// orden
			$linea_producto->orden->ViewValue = $linea_producto->orden->CurrentValue;
			$linea_producto->orden->CssStyle = "";
			$linea_producto->orden->CssClass = "";
			$linea_producto->orden->ViewCustomAttributes = "";

			// cod_usuario_registro
			$linea_producto->cod_usuario_registro->ViewValue = $linea_producto->cod_usuario_registro->CurrentValue;
			$linea_producto->cod_usuario_registro->CssStyle = "";
			$linea_producto->cod_usuario_registro->CssClass = "";
			$linea_producto->cod_usuario_registro->ViewCustomAttributes = "";

			// fec_registro
			$linea_producto->fec_registro->ViewValue = $linea_producto->fec_registro->CurrentValue;
			$linea_producto->fec_registro->ViewValue = ew_FormatDateTime($linea_producto->fec_registro->ViewValue, 5);
			$linea_producto->fec_registro->CssStyle = "";
			$linea_producto->fec_registro->CssClass = "";
			$linea_producto->fec_registro->ViewCustomAttributes = "";

			// cod_usuario_modificacion
			$linea_producto->cod_usuario_modificacion->ViewValue = $linea_producto->cod_usuario_modificacion->CurrentValue;
			$linea_producto->cod_usuario_modificacion->CssStyle = "";
			$linea_producto->cod_usuario_modificacion->CssClass = "";
			$linea_producto->cod_usuario_modificacion->ViewCustomAttributes = "";

			// fec_ultima_modificacion
			$linea_producto->fec_ultima_modificacion->ViewValue = $linea_producto->fec_ultima_modificacion->CurrentValue;
			$linea_producto->fec_ultima_modificacion->ViewValue = ew_FormatDateTime($linea_producto->fec_ultima_modificacion->ViewValue, 5);
			$linea_producto->fec_ultima_modificacion->CssStyle = "";
			$linea_producto->fec_ultima_modificacion->CssClass = "";
			$linea_producto->fec_ultima_modificacion->ViewCustomAttributes = "";

			// cod_linea_producto
			$linea_producto->cod_linea_producto->HrefValue = "";

			// des_linea_producto
			$linea_producto->des_linea_producto->HrefValue = "";

			// ind_activo
			$linea_producto->ind_activo->HrefValue = "";

			// ind_cat
			$linea_producto->ind_cat->HrefValue = "";

			// orden
			$linea_producto->orden->HrefValue = "";
		}

		// Call Row Rendered event
		$linea_producto->Row_Rendered();
	}

	// Export data in XML or CSV format
	function ExportData() {
		global $linea_producto;
		$sCsvStr = "";

		// Default export style
		$sExportStyle = "h";

		// Load recordset
		$rs = $this->LoadRecordset();
		$this->lTotalRecs = $rs->RecordCount();
		$this->lStartRec = 1;

		// Export all
		if ($linea_producto->ExportAll) {
			$this->lStopRec = $this->lTotalRecs;
		} else { // Export 1 page only
			$this->SetUpStartRec(); // Set up start record position

			// Set the last record to display
			if ($this->lDisplayRecs < 0) {
				$this->lStopRec = $this->lTotalRecs;
			} else {
				$this->lStopRec = $this->lStartRec + $this->lDisplayRecs - 1;
			}
		}
		if ($linea_producto->Export == "xml") {
			$XmlDoc = new cXMLDocument();
		} else {
			echo ew_ExportHeader($linea_producto->Export);

			// Horizontal format, write header
			if ($sExportStyle <> "v" || $linea_producto->Export == "csv") {
				$sExportStr = "";
				ew_ExportAddValue($sExportStr, 'cod_linea_producto', $linea_producto->Export);
				ew_ExportAddValue($sExportStr, 'cod_categoria', $linea_producto->Export);
				ew_ExportAddValue($sExportStr, 'des_linea_producto', $linea_producto->Export);
				ew_ExportAddValue($sExportStr, 'des_abreviada', $linea_producto->Export);
				ew_ExportAddValue($sExportStr, 'ind_activo', $linea_producto->Export);
				ew_ExportAddValue($sExportStr, 'ind_cat', $linea_producto->Export);
				ew_ExportAddValue($sExportStr, 'orden', $linea_producto->Export);
				ew_ExportAddValue($sExportStr, 'cod_usuario_registro', $linea_producto->Export);
				ew_ExportAddValue($sExportStr, 'fec_registro', $linea_producto->Export);
				ew_ExportAddValue($sExportStr, 'cod_usuario_modificacion', $linea_producto->Export);
				ew_ExportAddValue($sExportStr, 'fec_ultima_modificacion', $linea_producto->Export);
				echo ew_ExportLine($sExportStr, $linea_producto->Export);
			}
		}

		// Move to first record
		$this->lRecCnt = $this->lStartRec - 1;
		if (!$rs->EOF) {
			$rs->MoveFirst();
			$rs->Move($this->lStartRec - 1);
		}
		while (!$rs->EOF && $this->lRecCnt < $this->lStopRec) {
			$this->lRecCnt++;
			if (intval($this->lRecCnt) >= intval($this->lStartRec)) {
				$this->LoadRowValues($rs);

				// Render row for display
				$linea_producto->RowType = EW_ROWTYPE_VIEW; // Render view
				$this->RenderRow();
				if ($linea_producto->Export == "xml") {
					$XmlDoc->BeginRow();
					$XmlDoc->AddField('cod_linea_producto', $linea_producto->cod_linea_producto->CurrentValue);
					$XmlDoc->AddField('cod_categoria', $linea_producto->cod_categoria->CurrentValue);
					$XmlDoc->AddField('des_linea_producto', $linea_producto->des_linea_producto->CurrentValue);
					$XmlDoc->AddField('des_abreviada', $linea_producto->des_abreviada->CurrentValue);
					$XmlDoc->AddField('ind_activo', $linea_producto->ind_activo->CurrentValue);
					$XmlDoc->AddField('ind_cat', $linea_producto->ind_cat->CurrentValue);
					$XmlDoc->AddField('orden', $linea_producto->orden->CurrentValue);
					$XmlDoc->AddField('cod_usuario_registro', $linea_producto->cod_usuario_registro->CurrentValue);
					$XmlDoc->AddField('fec_registro', $linea_producto->fec_registro->CurrentValue);
					$XmlDoc->AddField('cod_usuario_modificacion', $linea_producto->cod_usuario_modificacion->CurrentValue);
					$XmlDoc->AddField('fec_ultima_modificacion', $linea_producto->fec_ultima_modificacion->CurrentValue);
					$XmlDoc->EndRow();
				} else {
					if ($sExportStyle == "v" && $linea_producto->Export <> "csv") { // Vertical format
						echo ew_ExportField('cod_linea_producto', $linea_producto->cod_linea_producto->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						echo ew_ExportField('cod_categoria', $linea_producto->cod_categoria->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						echo ew_ExportField('des_linea_producto', $linea_producto->des_linea_producto->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						echo ew_ExportField('des_abreviada', $linea_producto->des_abreviada->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						echo ew_ExportField('ind_activo', $linea_producto->ind_activo->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						echo ew_ExportField('ind_cat', $linea_producto->ind_cat->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						echo ew_ExportField('orden', $linea_producto->orden->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						echo ew_ExportField('cod_usuario_registro', $linea_producto->cod_usuario_registro->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						echo ew_ExportField('fec_registro', $linea_producto->fec_registro->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						echo ew_ExportField('cod_usuario_modificacion', $linea_producto->cod_usuario_modificacion->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						echo ew_ExportField('fec_ultima_modificacion', $linea_producto->fec_ultima_modificacion->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
					}	else { // Horizontal format
						$sExportStr = "";
						ew_ExportAddValue($sExportStr, $linea_producto->cod_linea_producto->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						ew_ExportAddValue($sExportStr, $linea_producto->cod_categoria->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						ew_ExportAddValue($sExportStr, $linea_producto->des_linea_producto->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						ew_ExportAddValue($sExportStr, $linea_producto->des_abreviada->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						ew_ExportAddValue($sExportStr, $linea_producto->ind_activo->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						ew_ExportAddValue($sExportStr, $linea_producto->ind_cat->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						ew_ExportAddValue($sExportStr, $linea_producto->orden->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						ew_ExportAddValue($sExportStr, $linea_producto->cod_usuario_registro->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						ew_ExportAddValue($sExportStr, $linea_producto->fec_registro->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						ew_ExportAddValue($sExportStr, $linea_producto->cod_usuario_modificacion->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						ew_ExportAddValue($sExportStr, $linea_producto->fec_ultima_modificacion->ExportValue($linea_producto->Export, $linea_producto->ExportOriginalValue), $linea_producto->Export);
						echo ew_ExportLine($sExportStr, $linea_producto->Export);
					}
				}
			}
			$rs->MoveNext();
		}

		// Close recordset
		$rs->Close();
		if ($linea_producto->Export == "xml") {
			header("Content-Type: text/xml");
			echo $XmlDoc->XML();
		} else {
			echo ew_ExportFooter($linea_producto->Export);
		}
	}

	// Set up Master Detail based on querystring parameter
	function SetUpMasterDetail() {
		global $linea_producto;
		$bValidMaster = FALSE;

		// Get the keys for master table
		if (@$_GET[EW_TABLE_SHOW_MASTER] <> "") {
			$sMasterTblVar = $_GET[EW_TABLE_SHOW_MASTER];
			if ($sMasterTblVar == "") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = "";
				$this->sDbDetailFilter = "";
			}
			if ($sMasterTblVar == "categoria") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = $linea_producto->SqlMasterFilter_categoria();
				$this->sDbDetailFilter = $linea_producto->SqlDetailFilter_categoria();
				if (@$_GET["cod_categoria"] <> "") {
					$GLOBALS["categoria"]->cod_categoria->setQueryStringValue($_GET["cod_categoria"]);
					$linea_producto->cod_categoria->setQueryStringValue($GLOBALS["categoria"]->cod_categoria->QueryStringValue);
					$linea_producto->cod_categoria->setSessionValue($linea_producto->cod_categoria->QueryStringValue);
					$this->sDbMasterFilter = str_replace("@cod_categoria@", ew_AdjustSql($GLOBALS["categoria"]->cod_categoria->QueryStringValue), $this->sDbMasterFilter);
					$this->sDbDetailFilter = str_replace("@cod_categoria@", ew_AdjustSql($GLOBALS["categoria"]->cod_categoria->QueryStringValue), $this->sDbDetailFilter);
				} else {
					$bValidMaster = FALSE;
				}
			}
		}
		if ($bValidMaster) {

			// Save current master table
			$linea_producto->setCurrentMasterTable($sMasterTblVar);

			// Reset start record counter (new master key)
			$this->lStartRec = 1;
			$linea_producto->setStartRecordNumber($this->lStartRec);
			$linea_producto->setMasterFilter($this->sDbMasterFilter); // Set up master filter
			$linea_producto->setDetailFilter($this->sDbDetailFilter); // Set up detail filter

			// Clear previous master session values
			if ($sMasterTblVar <> "categoria") {
				if ($linea_producto->cod_categoria->QueryStringValue == "") $linea_producto->cod_categoria->setSessionValue("");
			}
		} else {
			$this->sDbMasterFilter = $linea_producto->getMasterFilter(); //  Restore master filter
			$this->sDbDetailFilter = $linea_producto->getDetailFilter(); // Restore detail filter
		}
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
